import 'dart:async';

import '../../product/base/bloc/base_bloc.dart';
import 'bell_model.dart';

class BellBloc extends BlocBase {

  final bellItems = StreamController<List<BellItems>>.broadcast();
  StreamSink<List<BellItems>> get sinkBellItems => bellItems.sink;
  Stream<List<BellItems>> get streamBellItems => bellItems.stream;

  final isLoading = StreamController<bool>.broadcast();
  StreamSink<bool> get sinkIsLoading => isLoading.sink;
  Stream<bool> get streamIsLoading => isLoading.stream;

  final hasMore = StreamController<bool>.broadcast();
  StreamSink<bool> get sinkHasMore => hasMore.sink;
  Stream<bool> get streamHasMore => hasMore.stream;

  @override
  void dispose() {}
}
